import { AbstractMermaidTokenBuilder, __name, MermaidGeneratedSharedModule, PacketGeneratedModule, CommonValueConverter } from './chunk-FPAJGGOC.mjs';
import { EmptyFileSystem } from '../../../../../../../langium@3.3.1/node_modules/langium/lib/workspace/file-system-provider.mjs';
import { inject } from '../../../../../../../langium@3.3.1/node_modules/langium/lib/dependency-injection.mjs';
import { createDefaultSharedCoreModule, createDefaultCoreModule } from '../../../../../../../langium@3.3.1/node_modules/langium/lib/default-module.mjs';

// src/language/packet/tokenBuilder.ts
var PacketTokenBuilder = class extends AbstractMermaidTokenBuilder {
  static {
    __name(this, "PacketTokenBuilder");
  }
  constructor() {
    super(["packet"]);
  }
};

// src/language/packet/module.ts
var PacketModule = {
  parser: {
    TokenBuilder: /* @__PURE__ */ __name(() => new PacketTokenBuilder(), "TokenBuilder"),
    ValueConverter: /* @__PURE__ */ __name(() => new CommonValueConverter(), "ValueConverter")
  }
};
function createPacketServices(context = EmptyFileSystem) {
  const shared = inject(
    createDefaultSharedCoreModule(context),
    MermaidGeneratedSharedModule
  );
  const Packet = inject(
    createDefaultCoreModule({ shared }),
    PacketGeneratedModule,
    PacketModule
  );
  shared.ServiceRegistry.register(Packet);
  return { shared, Packet };
}
__name(createPacketServices, "createPacketServices");

export { PacketModule, createPacketServices };
